FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Java

 
 
LinkBack Thread Tools
 
Old 02-06-2010, 02:51 PM
Niels Thykier
 
Default RFS: jetty5 (eclipse dependency)

Hi

I am (partly) reviving jetty5 for the sake of keeping eclipse in main. I
have reduced the tar.gz and removed (to eclipse) all irrelevant
binary-packages/jars.

Here is the changelog entry:
jetty5 (5.1.15+dfsg-1) unstable; urgency=low

* New upstream release.
* Renamed source package to jetty5.
* Removed README.Debian - no longer relevant.
* Bumped debhelper compat to 7.
* Updated debian/copyright
- This version uses the Apache-2.0 license.
* Bumped Standards-Version to 3.8.4.
- Added Homepage + Vcs-* fields.
- Change section to java.
* Converted source to 3.0 (quilt).

-- Niels Thykier <niels@thykier.net> Sat, 06 Feb 2010 16:40:22 +0100


The package is available on the pkg-java SVN and can also be downloaded
from:

http://www.student.dtu.dk/~s072425/debian/jetty5_5.1.15+dfsg-1.dsc

~Niels
 
Old 02-06-2010, 03:47 PM
Sylvestre Ledru
 
Default RFS: jetty5 (eclipse dependency)

Hello,

Le samedi 06 février 2010 à 16:51 +0100, Niels Thykier a écrit :
> Hi
>
> I am (partly) reviving jetty5 for the sake of keeping eclipse in main. I
> have reduced the tar.gz and removed (to eclipse) all irrelevant
> binary-packages/jars.
>
> Here is the changelog entry:
> jetty5 (5.1.15+dfsg-1) unstable; urgency=low
>
> * New upstream release.
> * Renamed source package to jetty5.
> * Removed README.Debian - no longer relevant.
> * Bumped debhelper compat to 7.
> * Updated debian/copyright
> - This version uses the Apache-2.0 license.
> * Bumped Standards-Version to 3.8.4.
> - Added Homepage + Vcs-* fields.
> - Change section to java.
> * Converted source to 3.0 (quilt).
>
> -- Niels Thykier <niels@thykier.net> Sat, 06 Feb 2010 16:40:22 +0100
It is normal that the only package built is libmortbay-java ?

Thanks,
Sylvestre



--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 02-06-2010, 03:57 PM
Sylvestre Ledru
 
Default RFS: jetty5 (eclipse dependency)

Hello,

Le samedi 06 février 2010 à 16:51 +0100, Niels Thykier a écrit :
> Hi
>
> I am (partly) reviving jetty5 for the sake of keeping eclipse in main. I
> have reduced the tar.gz and removed (to eclipse) all irrelevant
> binary-packages/jars.
>
> Here is the changelog entry:
> jetty5 (5.1.15+dfsg-1) unstable; urgency=low
>
> * New upstream release.
> * Renamed source package to jetty5.
> * Removed README.Debian - no longer relevant.
> * Bumped debhelper compat to 7.
> * Updated debian/copyright
> - This version uses the Apache-2.0 license.
> * Bumped Standards-Version to 3.8.4.
> - Added Homepage + Vcs-* fields.
> - Change section to java.
> * Converted source to 3.0 (quilt).
>
> -- Niels Thykier <niels@thykier.net> Sat, 06 Feb 2010 16:40:22 +0100
It is normal that the only package built is libmortbay-java ?

Thanks,
Sylvestre



--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 02-06-2010, 04:26 PM
Niels Thykier
 
Default RFS: jetty5 (eclipse dependency)

I would not have revived this (nor jasper/tomcat5.5) if I could have
made eclipse build without it. Particularly the team has already gotten
tomcat5.5 removed due to lack of interest/security issues with the
web-server. But to answer your question: It used to build two different
packages (jetty and jetty-extra - respectively).
Since eclipse does not need jetty5 nor tomcat5.5 in their full glory,
but only a small subset of them, I decided to revive as a little as
possible.

On a related note:
I (per request of Matthew Johnson) reuploaded jetty5 just a short while
ago to fix a missing copyright statement (and removed some extra parts
of the orig.tar.gz). Just in case you wanted to continue the review
(though I think Matthew will review it when he gets "back")

BTW: I believe Matthew also looked at libws-commons-util and jasper.

~Niels
 
Old 02-12-2010, 08:18 PM
Torsten Werner
 
Default RFS: jetty5 (eclipse dependency)

Hi,

how did you create the upstream tarball? I've created it manually and
uploaded the package.

Cheers,
Torsten


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 02-12-2010, 08:39 PM
Niels Thykier
 
Default RFS: jetty5 (eclipse dependency)

Torsten Werner wrote:
> Hi,
>
> how did you create the upstream tarball? I've created it manually and
> uploaded the package.
>
> Cheers,
> Torsten
>
>

Hi

Thanks for the uploads; I created the tarball manually as well.

~Niels
 

Thread Tools




All times are GMT. The time now is 02:09 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org